curl --request GET \
--url https://test.deribit.com/api/v2/private/approve_block_trade \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": 1,
"method": "private/approve_block_trade",
"params": {
"timestamp": 1711468813551,
"nonce": "bt-468nha",
"role": "maker"
}
}
'import requests
url = "https://test.deribit.com/api/v2/private/approve_block_trade"
payload = {
"jsonrpc": "2.0",
"id": 1,
"method": "private/approve_block_trade",
"params": {
"timestamp": 1711468813551,
"nonce": "bt-468nha",
"role": "maker"
}
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 1,
method: 'private/approve_block_trade',
params: {timestamp: 1711468813551, nonce: 'bt-468nha', role: 'maker'}
})
};
fetch('https://test.deribit.com/api/v2/private/approve_block_trade', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"id": 1569,
"result": "ok"
}private/approve_block_trade
Approves a pending block trade. nonce and timestamp are used to identify the block trade while role should be opposite to the trading counterparty.
Use private/get_block_trade_requests to retrieve pending block trades that require approval.
To use the block trade approval feature, an additional API key setting feature called enabled_features: block_trade_approval is required. This key has to be given to the broker/registered partner who performs the trades on behalf of the user for the feature to be active. If the user wants to approve the trade, they must approve it from a different API key that doesnβt have this feature enabled.
π Related Article: Block Trading
Scope: block_trade:read_write
Query Parameters
Timestamp, shared with other party (milliseconds since the UNIX epoch) The timestamp (milliseconds since the Unix epoch)
1536569522277
Nonce
"bF1_gfgcsd"
Describes if user wants to be maker or taker of trades
Trade role of the user: maker or taker
maker, taker Was this page helpful?